Breakout Feeds
Get Private Breakout Feed
GET
/
v1
/
breakout
/
feeds
/
{feed_slug}
Get Private Breakout Feed
curl --request GET \
--url https://api.upriver.ai/v1/breakout/feeds/{feed_slug} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.upriver.ai/v1/breakout/feeds/{feed_slug}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.upriver.ai/v1/breakout/feeds/{feed_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feed": {
"slug": "<string>",
"label": "<string>",
"facets": [
{
"slug": "<string>",
"label": "<string>"
}
]
},
"generated_at": "2023-11-07T05:31:56Z",
"lookback_days": 123,
"items": [
{
"item_id": "<string>",
"facet": "<string>",
"facet_label": "<string>",
"headline": "<string>",
"why_relevant": "<string>",
"why_now": "<string>",
"facet_rank": 123,
"evidence_summary": {
"total": 123,
"shown": 123,
"source_type_count": 123,
"latest_shown_at": "2023-11-07T05:31:56Z"
},
"overall_rank": 123,
"evidence": {
"evidence_id": "<string>",
"source_type": "<string>",
"source_url": "<string>",
"title": "<string>",
"excerpt": "<string>",
"author_handle": "<string>",
"community": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"formation": {
"formation_id": "<string>",
"title": "<string>",
"entities": [
"<string>"
],
"evidence": [
{
"evidence_id": "<string>",
"source_type": "<string>",
"source_url": "<string>",
"title": "<string>",
"excerpt": "<string>",
"author_handle": "<string>",
"community": "<string>",
"published_at": "2023-11-07T05:31:56Z"
}
],
"observations": [
{
"observed_at": "2023-11-07T05:31:56Z",
"evidence_count": 123,
"source_type_count": 123,
"trajectory": "<string>",
"momentum_ratio": 123
}
],
"summary": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Available options:
evidence, story, theme, trend, entity Required range:
1 <= x <= 100⌘I
Get Private Breakout Feed
